hyperGTest {GOstats} | R Documentation

## Hypergeometric Tests for GO term association

### Description

Given a `GOHyperGParams` instance containing a set of unique Entrez Gene Identifiers, a microarray annotation data package name, and the GO ontology of interest, this function will compute Hypergeomtric p-values for over or under-representation of each GO term in the specified ontology among the GO annotations for the interesting genes. The computations can be done conditionally based on the structure of the GO graph.

### Arguments

`p` | A `GOHyperGParams` instance

### Details

When `conditional(p) == TRUE`, the `hyperGTest` function uses the structure of the GO graph to estimate for each term whether or not there is evidence beyond that which is provided by the term's children to call the term in question statistically overrepresented.

The algorithm conditions on all child terms that are themselves significant at the specified p-value cutoff. Given a subgraph of one of the three GO ontologies, the terms with no child categories are tested first. Next the nodes whose children have already been tested are tested. If any of a given node's children tested significant, the appropriate conditioning is performed.

### Value

A `GOHyperGResult` instance.

### Author(s)

Seth Falcon

### References

FIXME

### See Also

`GOHyperGResult-class` `geneCategoryHyperGeoTest` `geneGoHyperGeoTest` `geneKeggHyperGeoTest`

[Package GOstats version 2.8.0 Index]